
Katello - Bug #4824

System registration still generates a 404 when registering without an environment

03/24/2014 10:23 PM - David Davis
Difficulty:  Fixed in Releases:  
Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

History

#1 - 03/25/2014 04:23 AM - Mike McCune

- Status changed from New to Assigned

- Assignee set to Justin Sherrill

- Priority changed from Normal to Urgent

- Triaged changed from No to Yes

Justin, can you take a look at this ASAP?  I'm seeing 401 on the package profile upload and David is seeing 404s.  From my client system:

 # subscription-manager register --username=admin --password=changeme --org=ACME_Corporation --force --env=dev

/RHEL6

 rhsm.log:

2014-03-25 00:19:42,106 [DEBUG]  @connection.py:381 - Making request: PUT

//katello/api/consumers/3fe45824-815f-4b07-931f-cf754375bb8b/packages

2014-03-25 00:19:43,240 [DEBUG]  @connection.py:394 - Response status: 401

2014-03-25 00:19:43,241 [ERROR]  @cache.py:170 - Error updating system data on the server

2014-03-25 00:19:43,245 [ERROR]  @managercli.py:115 - exception caught in subscription-manager

2014-03-25 00:19:43,246 [ERROR]  @managercli.py:116 - Error updating system data on the server, see /var/log/rhsm/rhsm.log for more details.

Traceback (most recent call last):

#2 - 03/25/2014 04:29 AM - Mike McCune

might want to look at:  http://projects.theforeman.org/issues/4754

#3 - 03/25/2014 01:29 PM - Justin Sherrill

This should have been fixed in https://github.com/Katello/katello/pull/3856

Verifying.

#4 - 03/25/2014 01:59 PM - Justin Sherrill

This was copied from an etherpad that was old, so should be fixed, will check on your 404 mike.

#5 - 03/25/2014 03:28 PM - Justin Sherrill

Closing out in favor of http://projects.theforeman.org/issues/4839 which better describes mike's issue with package uploads

#6 - 03/25/2014 03:29 PM - Justin Sherrill

- Status changed from Assigned to Closed
#7 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
